List Scheduled Posts
curl --request GET \
--url https://api.supapost.so/schedule/postsimport requests
url = "https://api.supapost.so/schedule/posts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.supapost.so/schedule/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "post-uuid",
"team_id": "team-uuid",
"project_id": "proj-uuid",
"social_account_id": "acct-uuid",
"platform": "tiktok",
"scheduled_at": "2026-04-10T14:00:00Z",
"title": "Morning Routine Tips",
"image_urls": ["https://cdn.supapost.so/assets/team/slide1.jpg"],
"status": "scheduled",
"project": {
"id": "proj-uuid",
"name": "Morning Routine Carousel",
"thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg"
},
"account": {
"id": "acct-uuid",
"platform": "tiktok",
"platform_username": "myaccount",
"display_name": "My Account",
"avatar_url": "https://example.com/avatar.jpg"
}
}
]
Scheduling
List Scheduled Posts
List all scheduled posts for the authenticated team
GET
/
schedule
/
posts
List Scheduled Posts
Returns scheduled posts sorted by scheduled time (ascending). Includes related project and social account data.
Authentication
string
Bearer token.
Bearer <supabase-jwt>.Query Parameters
string
ISO 8601 datetime. Only return posts scheduled at or after this time.
string
ISO 8601 datetime. Only return posts scheduled at or before this time.
string
Filter by status, e.g.
"scheduled", "published", "failed".[
{
"id": "post-uuid",
"team_id": "team-uuid",
"project_id": "proj-uuid",
"social_account_id": "acct-uuid",
"platform": "tiktok",
"scheduled_at": "2026-04-10T14:00:00Z",
"title": "Morning Routine Tips",
"image_urls": ["https://cdn.supapost.so/assets/team/slide1.jpg"],
"status": "scheduled",
"project": {
"id": "proj-uuid",
"name": "Morning Routine Carousel",
"thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg"
},
"account": {
"id": "acct-uuid",
"platform": "tiktok",
"platform_username": "myaccount",
"display_name": "My Account",
"avatar_url": "https://example.com/avatar.jpg"
}
}
]
⌘I